summaryrefslogtreecommitdiffstats
path: root/network/LOIC
diff options
context:
space:
mode:
author Chris Abela <kristofru@gmail.com>2012-12-10 10:19:16 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:23:04 -0500
commit70ced554fd61dcdc159777897cd7c9bb4f583a79 (patch)
tree0096dd219e635acb84d9460627fc65184de363d1 /network/LOIC
parent91492b69ded7bc1a37bd3a54dea4bbbe4120f9fb (diff)
downloadslackbuilds-70ced554fd61dcdc159777897cd7c9bb4f583a79.tar.gz
slackbuilds-70ced554fd61dcdc159777897cd7c9bb4f583a79.tar.xz
network/LOIC: Renamed from loic and updated for version 1.0.7.42.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/LOIC')
-rw-r--r--network/LOIC/LOIC.SlackBuild77
-rw-r--r--network/LOIC/LOIC.desktop7
-rw-r--r--network/LOIC/LOIC.info10
-rw-r--r--network/LOIC/README26
-rw-r--r--network/LOIC/README.WARNING5
-rw-r--r--network/LOIC/doinst.sh3
-rw-r--r--network/LOIC/slack-desc19
7 files changed, 147 insertions, 0 deletions
diff --git a/network/LOIC/LOIC.SlackBuild b/network/LOIC/LOIC.SlackBuild
new file mode 100644
index 0000000000..a328c7eda7
--- /dev/null
+++ b/network/LOIC/LOIC.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for LOIC
+
+# Copyright 2012 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+############################ WARNING ##########################################
+# We are not responsible for the use that you give to this tool. You cannot #
+# blame us if you use this tool to attack servers you don't own and get #
+# caught. This script is released for educational purposes only. #
+###############################################################################
+
+PRGNAM=LOIC # This replaces the earlier "loic"
+VERSION=${VERSION:-1.0.7.42} # The versioning scheme has changed
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/LOIC $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-binary.zip
+chown -R root:root .
+
+cp -a LOIC.exe $PKG/opt/LOIC
+
+# This is for GUI users
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/LOIC.desktop > $PKG/usr/share/applications/LOIC.desktop
+
+# This is a handy script for CLI users
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/loic << EOF
+#!/bin/sh
+mono /opt/LOIC/LOIC.exe
+EOF
+chmod 755 $PKG/usr/bin/loic
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 -oroot $CWD/README.WARNING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/LOIC/LOIC.desktop b/network/LOIC/LOIC.desktop
new file mode 100644
index 0000000000..b66fb18995
--- /dev/null
+++ b/network/LOIC/LOIC.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=LOIC
+Comment="Low Orbit Ion Cannon"
+Exec=mono /opt/LOIC/LOIC.exe
+Terminal=false
+Type=Application
+Categories=Network;
diff --git a/network/LOIC/LOIC.info b/network/LOIC/LOIC.info
new file mode 100644
index 0000000000..82b570bf9c
--- /dev/null
+++ b/network/LOIC/LOIC.info
@@ -0,0 +1,10 @@
+PRGNAM="LOIC"
+VERSION="1.0.7.42"
+HOMEPAGE="https://github.com/NewEraCracker/LOIC/"
+DOWNLOAD="http://sourceforge.net/projects/loic/files/loic/loic-1.0.7/LOIC-1.0.7.42-binary.zip"
+MD5SUM="08c62a8f40fb9432ea86f31d88917553"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mono"
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
diff --git a/network/LOIC/README b/network/LOIC/README
new file mode 100644
index 0000000000..f6ccb67a39
--- /dev/null
+++ b/network/LOIC/README
@@ -0,0 +1,26 @@
+LOIC - the Low Orbit Ion Cannon
+
+LOIC is an open source network attack application, written in C#. LOIC was
+initially developed by Praetox Technologies, but later it was released into the
+public domain
+
+LOIC performs a denial-of-service (DoS) attack (or when used by multiple
+individuals, a DDoS attack) on a target site by flooding the server with TCP
+packets, UDP packets, or HTTP requests with the intention of disrupting the
+service of a particular host. People have used LOIC to join voluntary botnets.
+
+This SlackBuild simply builds a package from the binaries. If you would like
+to build it from source, you might want to consider loiq.
+
+mono is needed to run LOIC:
+
+ mono /opt/LOIC/LOIC.exe
+
+A handy script /usr/bin/loic and a basic desktop integration file have been
+included for ease of use.
+
+WARNING:
+
+We are not responsible for the use that you give to this tool. You cannot blame
+us if you use this tool to attack servers you don't own and get caught. This
+script is released for educational purposes only.
diff --git a/network/LOIC/README.WARNING b/network/LOIC/README.WARNING
new file mode 100644
index 0000000000..871818be46
--- /dev/null
+++ b/network/LOIC/README.WARNING
@@ -0,0 +1,5 @@
+WARNING:
+
+We are not responsible for the use that you give to this tool. You cannot blame
+us if you use this tool to attack servers you don't own and get caught. This
+script is released for educational purposes only.
diff --git a/network/LOIC/doinst.sh b/network/LOIC/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/LOIC/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/LOIC/slack-desc b/network/LOIC/slack-desc
new file mode 100644
index 0000000000..f6c3f58e8b
--- /dev/null
+++ b/network/LOIC/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+LOIC: LOIC (open source network attack application)
+LOIC:
+LOIC: LOIC is an open source network attack application, written in C#. LOIC
+LOIC: was initially developed by Praetox Technologies, but later it was
+LOIC: released into the public domain
+LOIC:
+LOIC: LOIC performs a denial-of-service (DoS) attack (or when used by multiple
+LOIC: individuals, a DDoS attack) on a target site by flooding the server with
+LOIC: TCP packets, UDP packets, or HTTP requests with the intention of
+LOIC: disrupting the service of a particular host. People have used LOIC to
+LOIC: join voluntary botnets.